# Dam Decoration

This mod adds a Some Dam Decoration parts to the game. 


## Disclaimer!
**Most pieces don't act as Leeves and Block water!**  

This plugin is tested for 0.2.8.1 version of Timberborn.  
See [Timberborn Modding](https://docs.google.com/spreadsheets/d/15juA0Fl6ZjbYmoNTg_vjMophBvtjMz8YNUI_KmNdtdg/edit?usp=sharing) for latest information what mods work with what version

## Examples:
![Example1:](https://github.com/KnatteAnka/KATimberbornModsUnity/raw/master/Assets/DamDecoration/StaticFiles/Images/Example1.png)  
![Example2:](https://github.com/KnatteAnka/KATimberbornModsUnity/raw/master/Assets/DamDecoration/StaticFiles/Images/Example2.png)  

## How to use

You will find the Dam decoration pieces under the Landscape tab. 
And the Sloped Stair and Pillar under Path Tab

## Installing

Recommended way to install this mod is through [Thunderstore](https://timberborn.thunderstore.io/). This plugin is dependent on the magnificent [TimberAPI](https://github.com/Timberborn-Modding-Central/TimberAPI).

## Problems?

In case you experience problems or have any feedback, message us in the modding channel of the the [Timberborn discord](https://discord.gg/mfbBF4cWpX) or message me directly (Knatte_Anka#6800). We will try to fix it as soon as possible. :D

## Attribution

Diagonal piece with Side platform is possible Thanks to Tobbert and his [MorePlatforms](https://timberborn.thunderstore.io/package/Tobbert/MorePlatforms/)

## Changelog

### 1.3.0 - 2022-09-23
- Hotfix depenency

### 1.2.9 - 2022-09-18

- Update to TimberAPI 0.5.x

### 1.2.8 - 2022-09-16

- Fix Square Decoration block stacking

### 1.2.7 - 2022-09-15

- Fix Pillar having weird pathing
- Add Square Decoration block
- Slopes can now be walked when building stuff or Wandering beavers

### 1.2.6 - 2022-09-15

- Fix Sloped stairs for Folktail

### 1.2.5 - 2022-09-10

- Add deutsch translation by juf0816

### 1.2.4 - 2022-09-06

- Add 1 high Pillars

### 1.2.3 - 2022-09-03

- Add japanese translation by sukunabikona


### 1.2.2 - 2022-08-31

- Add Diagonal Levee that block water
- Fix the Pillar fix


### 1.2.1 - 2022-08-31

- Add info that decoration pieces do not stop water
- Fix so pillar upper part takes full space. to not allow stairs under it and beavers going thrue braces.

### 1.2.0 - 2022-08-28

- Added new Block type Corner Slope Both 1 and 2 High

### 1.1.0 - 2022-08-27

- Added 2 High decoration pieces
- Reworked Prices and Science and Sorting order

### 1.0.0 - 2022-08-22

- Released the plugin.
